libzypp: zypp::target::rpm::CommitScriptReportSA Struct Reference

libzypp 17.38.14

zypp::target::rpm::CommitScriptReportSA Struct Reference

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::target::rpm::CommitScriptReportSA:

## Public Types
enum | Error { NO_ERROR , WARN , CRITICAL }
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | start (const std::string &, const std::string &, Resolvable::constPtr, const UserData &=UserData())
virtual void | progress (int, Resolvable::constPtr, const UserData &=UserData())
virtual void | finish (Resolvable::constPtr, Error, const UserData &=UserData())
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Static Public Attributes
static const UserData::ContentType contentRpmout | ZYPP_API
| "zypp-rpm/scriptsa": Additional rpm output (sent immediately).

## Detailed Description

Definition at line 911 of file ZYppCallbacks.h.

## Member Enumeration Documentation

## ◆ Error

enum zypp::target::rpm::CommitScriptReportSA::Error

Enumerator
NO_ERROR |
WARN |
CRITICAL |

Definition at line 913 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual void zypp::target::rpm::CommitScriptReportSA::start | ( | const std::string & | ,
|  | const std::string & | ,
|  | Resolvable::constPtr | ,
|  | const UserData & | = UserData() )
| inlinevirtual

Definition at line 919 of file ZYppCallbacks.h.

## ◆ progress()

virtual void zypp::target::rpm::CommitScriptReportSA::progress | ( | int | ,
|  | Resolvable::constPtr | ,
|  | const UserData & | = UserData() )
| inlinevirtual

Definition at line 926 of file ZYppCallbacks.h.

## ◆ finish()

virtual void zypp::target::rpm::CommitScriptReportSA::finish | ( | Resolvable::constPtr | ,
|  | Error | ,
|  | const UserData & | = UserData() )
| inlinevirtual

Definition at line 932 of file ZYppCallbacks.h.

## Member Data Documentation

## ◆ ZYPP_API

const UserData::ContentType contentRpmout zypp::target::rpm::CommitScriptReportSA::ZYPP_API
| static

"zypp-rpm/scriptsa": Additional rpm output (sent immediately).

Data: solvable : satSolvable processed ( can be empty ) line : std::reference_wrapper<const std::string>

Definition at line 943 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h